classification
Title: Failure when running test_builtin after test_genexps
Type: behavior Stage: test needed
Components: Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: readline-related test_builtin failure
View: 13886
Assigned To: Nosy List: Arfrever, brett.cannon, ezio.melotti, ncoghlan, serhiy.storchaka, vstinner
Priority: normal Keywords:

Created on 2013-04-15 12:40 by ncoghlan, last changed 2013-09-16 16:10 by serhiy.storchaka. This issue is now closed.

Messages (4)
msg186979 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-04-15 12:40
I'm getting a failure in test_builtin when running the following:

    ./python -m test -w test_genexps test_builtin

======================================================================
FAIL: test_input_tty_non_ascii (test.test_builtin.BuiltinTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/ncoghlan/devel/py3k/Lib/test/test_builtin.py", line 1176, in test_input_tty_non_ascii
    self.check_input_tty("prompté", b"quux\xe9", "utf-8")
  File "/home/ncoghlan/devel/py3k/Lib/test/test_builtin.py", line 1167, in check_input_tty
    self.assertEqual(input_result, expected)
AssertionError: 'quux' != 'quux\udce9'
- quux
+ quux\udce9
?     +


======================================================================
FAIL: test_input_tty_non_ascii_unicode_errors (test.test_builtin.BuiltinTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/ncoghlan/devel/py3k/Lib/test/test_builtin.py", line 1180, in test_input_tty_non_ascii_unicode_errors
    self.check_input_tty("prompté", b"quux\xe9", "ascii")
  File "/home/ncoghlan/devel/py3k/Lib/test/test_builtin.py", line 1167, in check_input_tty
    self.assertEqual(input_result, expected)
AssertionError: 'quux' != 'quux\udce9'
- quux
+ quux\udce9
?     +

The problem persists after a make clean and rebuild.
msg187001 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-04-15 15:25
Isn't this the same as #13886?
msg191271 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-16 15:18
Issue #18230 is another test_builtin failure related to tty tests.
msg197916 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-16 16:10
Yes. test_genexps uses doctests, doctest uses pdb, pdb imports readline.
History
Date User Action Args
2013-09-16 16:10:30serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg197916

superseder: readline-related test_builtin failure
resolution: duplicate
2013-06-16 15:39:54Arfreversetnosy: + Arfrever
2013-06-16 15:18:12brett.cannonsetnosy: + brett.cannon
messages: + msg191271
2013-04-15 15:25:53ezio.melottisetnosy: + ezio.melotti
messages: + msg187001
2013-04-15 12:40:13ncoghlancreate